diff mbox series

[FFmpeg-devel,v2,01/10] tests/fate-run: Allow multiple inputs for transcode()

Message ID AM7PR03MB66608CD7B3DE7C9EC3AE95388FCC9@AM7PR03MB6660.eurprd03.prod.outlook.com
State Accepted
Headers show
Series [FFmpeg-devel,v2,01/10] tests/fate-run: Allow multiple inputs for transcode() | expand

Checks

Context Check Description
andriy/make_x86 success Make finished
andriy/make_fate_x86 success Make fate finished
andriy/make_ppc success Make finished
andriy/make_fate_ppc success Make fate finished

Commit Message

Andreas Rheinhardt Aug. 31, 2021, 12:40 p.m. UTC
This allows nicer tests by having a greater range of inputs available
(without requiring adding further samples to the fate-suite).

Signed-off-by: Andreas Rheinhardt <andreas.rheinhardt@outlook.com>
---
The cover-art test that was included in version 1 of this patchset
and made use of this didn't pass on PPC and has therefore not been
included in this set.

 tests/fate-run.sh | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)
diff mbox series

Patch

diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index bc1efa22d7..4b21bab591 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -232,12 +232,13 @@  transcode(){
     enc_opt=$4
     final_decode=$5
     ffprobe_opts=$7
+    additional_inputs=$8
     encfile="${outdir}/${test}.${enc_fmt}"
     test "$6" = -keep || cleanfiles="$cleanfiles $encfile"
     tsrcfile=$(target_path $srcfile)
     tencfile=$(target_path $encfile)
-    ffmpeg -f $src_fmt $DEC_OPTS -i $tsrcfile $ENC_OPTS $enc_opt $FLAGS \
-        -f $enc_fmt -y $tencfile || return
+    ffmpeg -f $src_fmt $DEC_OPTS -i $tsrcfile $additional_inputs \
+           $ENC_OPTS $enc_opt $FLAGS -f $enc_fmt -y $tencfile || return
     do_md5sum $encfile
     echo $(wc -c $encfile)
     ffmpeg $DEC_OPTS -i $tencfile $ENC_OPTS $FLAGS $final_decode \